Summary: A GNU utility for secure communication and data storage
Name: gnupg2
Version: 2.0.9
Release: 43.0.1%{?dist}
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
Source2: gnupg-shm-coprocessing.expect
URL: http://www.gnupg.org/
BuildPrereq: autoconf, gettext, expect
BuildRequires: libgpg-error-devel >= 1.4
BuildRequires: libgcrypt-devel >= 1.2.2
BuildRequires: libassuan-devel >= 1.0.4
BuildRequires: libksba-devel >= 1.0.2
BuildRequires: pth-devel >= 1.3.7
BuildRequires: opensc-devel >= 0.8.0
BuildRequires: libusb-devel
BuildRequires: zlib-devel, bzip2-devel
Buildrequires: libusb-devel
BuildRequires: docbook-utils
BuildRequires: openldap-devel, curl-devel, readline-devel
Provides: gpg, openpgp
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: newpg <= %{evr}
Provides: newpg = %{evr}

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%setup -q -n gnupg-%{version}
find . -name encr-data.c

%build
configure_flags=

%ifarch ppc64
configure_flags=--disable-asm
%endif
%if %{?_without_pie:0}%{!?_without_pie:1}
CFLAGS="$RPM_OPT_FLAGS -fPIE" ; export CFLAGS
LDFLAGS="$RPM_OPT_FLAGS -pie" ; export LDFLAGS
%endif

%configure --enable-gpg --disable-rpath --libexecdir=%{_libdir} --enable-selinux-support $configure_flags

make %{?_smp_mflags} pth_libs="`pth-config --ldflags` `pth-config --libs`" tests=""
#mkdir test.gnupg
#GNUPGHOME=%{_builddir}/test.gnupg; export GNUPGHOME
#make check
#env LANG=C expect -f $RPM_SOURCE_DIR/gnupg-shm-coprocessing.expect

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=$RPM_BUILD_ROOT/%{_libdir}/gnupg tests=""
#install -m644 doc/gpg.info doc/gpgv.info $RPM_BUILD_ROOT/%{_infodir}
#sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
#install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang %name || :
#mv %{buildroot}%{_datadir}/gnupg/options.skel %{buildroot}%{_datadir}/gnupg/options2.skel
#mv %{buildroot}%{_bindir}/gpg-zip %{buildroot}%{_bindir}/gpg-zip2
#mv %{buildroot}%{_bindir}/gpgsplit %{buildroot}%{_bindir}/gpgsplit2
#mv %{buildroot}%{_mandir}/man7/gnupg.7 %{buildroot}%{_mandir}/man7/gnupg2.7
mv %{buildroot}%{_datadir}/gnupg/FAQ %{buildroot}%{_datadir}/gnupg/FAQ2
mv %{buildroot}%{_datadir}/gnupg/faq.html %{buildroot}%{_datadir}/gnupg/faq2.html

%post
/sbin/install-info %{_infodir}/gnupg.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gnupg.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
#doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
#doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%attr(4755,root,root) %{_bindir}/gpg-agent
%attr(4755,root,root) %{_bindir}/gpg2
%{_bindir}/gpg-connect-agent
%{_bindir}/gpgconf
%{_bindir}/gpgsm
%{_bindir}/gpgv2
%{_bindir}/kbxutil
#%{_bindir}/sc-copykeys
#%{_bindir}/sc-investigate
%{_bindir}/gpgkey2ssh
%{_bindir}/scdaemon
%{_bindir}/watchgnupg
%{_bindir}/gpgsm-gencert.sh
%{_bindir}/gpgparsemail
#%{_bindir}/gpg-zip2
#%{_bindir}/gpgsplit2
%{_sbindir}/addgnupghome
%{_sbindir}/applygnupgdefaults
%{_datadir}/gnupg
%{_infodir}/*
%{_libdir}/gnupg
%{_mandir}/man1/*
#%{_mandir}/man7/*
%{_mandir}/man8/*

%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.9-43.0.1
- Fix not utf-8 specfile entries.

* Tue Apr  1 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.9-43
- Update to 2.0.9.

* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.8-42
- Update to 2.0.8.

* Wed May  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-41
- Update to 2.0.4.

* Thu Mar  8 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.3-40
- Update to 2.0.3.

* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.2-39
- Update to 2.0.2.
- Drop patch for CVE-2006-6235 (added upstream).

* Thu Dec  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.1-38
- Apply patch for CVE-2006-6235.

* Thu Nov 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.1-37
- Update to 2.0.1.

* Mon Nov 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.0-34
- Update to 2.0.0.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.92-32
- Update to 1.9.92.

* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.20.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.19.

* Thu Apr 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.16.

* Sun Jan 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.15.

* Sun Jan  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.14.

* Mon Nov  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.12.

* Wed Oct 20 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.11.

* Tue Sep 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.10.

* Tue Jun  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.9.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.5.

* Thu Dec 25 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.4.

* Thu Nov 27 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable creating ElGamal sign+encrypt (type 20).

* Mon Oct 27 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.3-1
- use -fPIE instead of -fpie because some arches need it

* Mon Oct 27 2003 Nalin Dahyabhai <nalin@redhat.com>
- build gnupg as a position-independent executable (Arjan van de Ven)

* Fri Aug 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 1.2.3.

* Sun Aug 10 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Synced with rawhide.

* Thu Jun 19 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.2-3
- disable asm and optimization on ppc64

* Fri Jun 13 2003 Nalin Dahyabhai <nalin@redhat.com>
- add a build-time check to ensure that shm coprocessing was enabled

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Sync with rawhide.

* Sun May  4 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 1.2.1-5
- Add ppc64 patch to fix up global symbol names in assembly

* Fri Feb 28 2003 Kevin Sonney <ksonney@redhat.com> 1.2.1-4
- remove autoconf call on sparc

* Fri Feb  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-3
- modify g10defs to look for helpers in libexecdir, because that's where they
  get installed, per gnupg-users
- actually drop updates for 1.0.7 which are no longer needed for 1.2.1
  
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Oct 28 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-1
- update to 1.2.1

* Tue Sep 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.0-1
- update to 1.2.0
- stop stripping files manually, let the buildroot policies handle it
- add translations updates ca and fr

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.7-6
- rebuild

* Fri Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.7-5
- specify a menu entry when installing info pages

* Thu Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.7-4
- add and install info pages (#67931)
- don't include two copies of the faq, add new doc files (#67931)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 30 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.7-1
- update to 1.0.7

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.6-5
- rebuild

* Wed Jan 23 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.6-4
- make the codeset patch unconditional

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com> 1.0.6-3
- set message output encoding to match the message encoding, based on a
  patch by goeran@uddeborg.pp.se (#49182)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com> 1.0.6-2
- Bump release + rebuild.

* Wed May 30 2001 Nalin Dahyabhai <nalin@redhat.com> 1.0.6-1
- update to 1.0.6, fixes format string exploit

* Mon Apr 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.5, dropping various patches

* Tue Feb 27 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify
- strip binaries in /usr/lib/gnupg

* Tue Feb 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix the group

* Tue Dec 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- go with this version -- 1.0.4c includes a lot of changes beyond just the
  two security fixes

* Thu Dec 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the --allow-secret-key-import patch from CVS in case we don't get a 1.0.5

* Fri Dec  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build as an errata for 7

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add a security patch for a problem with detached signature verification...
  might hold off for an impending 1.0.5, though

* Thu Oct 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a bug preventing creation of .gnupg directories

* Wed Oct 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add patch to recognize AES signatures properly (#19312)
- add gpgv to the package

* Tue Oct 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.4 to get security fix

* Tue Oct 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix man page typos (#18797)

* Thu Sep 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.3
- switch to bundled copy of the man page

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- revert locale patch (#16222)

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- set all locale data instead of LC_MESSAGES and LC_TIME (#16222)

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- include lspgpot (#13772)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment

* Fri Feb 18 2000 Bill Nottingham <notting@redhat.com>
- build of 1.0.1

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- version 1.0.0 build for 6.1us
